#include "VolumeRendering.h"

#include <iostream>

using namespace std;

Renderer* VolumeRendering::renderer = 0;
MainWindow* VolumeRendering::mainWin = 0;

void VolumeRendering::initialize()
{
	if (VolumeRendering::renderer || VolumeRendering::mainWin)
		return;
	VolumeRendering::renderer = new Renderer();
	VolumeRendering::mainWin = new MainWindow();
}

void VolumeRendering::shutdown()
{
	if (VolumeRendering::renderer == 0 || VolumeRendering::mainWin)
		return;

	delete VolumeRendering::renderer;
	delete VolumeRendering::mainWin;
}

void VolumeRendering::start()
{
	VolumeRendering::mainWin->show();
}
